Canalplan Bug Tracker



Anonymous Login
2019-06-20 12:23 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000501Canalplan [All Projects] Generalpublic2019-02-04 11:30
ReporterStephen Atty 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformGenericOSN/AOS VersionN/A
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000501: Canal level maps not rendering
Descriptionhttps://canalplan.eu/waterway/9bgc

No canal drawn

Webconsole reports

XML Parsing Error: not well-formed
Location: https://canalplan.eu/mapping/geodata/waterways/ukuk/lines/9bgc.geodata
Line Number 1, Column 1: 9bgc.geodata:1:1


plus

Error: "Layer with id "cp-waterway-lake-excluded" does not exist on this map."
addLayerhttps://api.tiles.mapbox.com/mapbox-gl-js/v0.47.0/mapbox-gl.js:33:105245addLayerhttps://api.tiles.mapbox.com/mapbox-gl-js/v0.47.0/mapbox-gl.js:33:283376WGaz_Maphttps://canalplan.eu/javascript/cjs/wgaz_osm_map.js?ver=9.32:2:589firehttps://api.tiles.mapbox.com/mapbox-gl-js/v0.47.0/mapbox-gl.js:29:8348_renderhttps://api.tiles.mapbox.com/mapbox-gl-js/v0.47.0/mapbox-gl.js:33:288677_framehttps://api.tiles.mapbox.com/mapbox-gl-js/v0.47.0/mapbox-gl.js:33:289572 evented.js:136:8
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

-Relationships
+Relationships

-Notes

~0001938

Stephen Atty (administrator)

Seems to work OK in Beta

https://beta.canalplan.org.uk/waterway/9bgc

~0001939

Nick Atty (administrator)

Works fine for me on your link. That XML parsing error is very odd - it should't be trying to parse it as XML because it's not!

https://canalplan.eu/mapping/geodata/waterways/ukuk/lines/9bgc.geodata displays as nice JSON for me.

Try a hard refresh in case something is cached. Which browser btw?

~0001940

Stephen Atty (administrator)

It seems to be OK now.

Was using Firefox

Still seeing the XML parse error but it doesn't seem to impact anything.

~0001941

Nick Atty (administrator)

Can you get the server to send a Content-type of
application/vnd.geo+json for .geodata files.

Hopefully that will stop FF trying to do an unncessary parse of it as XML.

~0001942

Stephen Atty (administrator)

<FilesMatch "\.geodata$">
  ForceType application/vnd.geo+json
</FilesMatch>

Added to .htaccess

~0001943

Stephen Atty (administrator)

Still having some issues.

https://canalplan.org.uk/waterway/ukuk

Doesn't render because:

https://canalplan.org.uk/mapping/geodata/waterways/ukuk/lines/wha3.geodata

doesn't exist.

~0001944

Nick Atty (administrator)

That's because the canal is poorly structured there - wha3 is the Thames and Severn and exists as a canal with places and as the parent of zr9t (the Whelford Canal Feeder!). This should never happen.

I'll:
a) restructure
b) add a trap to the builder
c) rebuild

~0002138

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2018-10-06 19:00 Stephen Atty New Issue
2018-10-06 19:00 Stephen Atty Status new => assigned
2018-10-06 19:00 Stephen Atty Assigned To => Nick Atty
2018-10-06 19:03 Stephen Atty Note Added: 0001938
2018-10-06 20:22 Nick Atty File Added: wande.png
2018-10-06 20:22 Nick Atty Note Added: 0001939
2018-10-06 20:31 Stephen Atty Note Added: 0001940
2018-10-06 22:12 Nick Atty Note Added: 0001941
2018-10-06 22:33 Stephen Atty Note Added: 0001942
2018-10-07 15:57 Stephen Atty Note Added: 0001943
2018-10-07 16:11 Nick Atty Note Added: 0001944
2019-01-05 11:07 Nick Atty Status assigned => resolved
2019-01-05 11:07 Nick Atty Resolution open => fixed
2019-02-04 11:30 Autoclose Note Added: 0002138
2019-02-04 11:30 Autoclose Status resolved => closed
+Issue History